CraftBukkit for Minecraft 1.5(_02) available

Discussion in 'Bukkit News' started by EvilSeph, Apr 25, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    EvilSeph Retired Staff

    When rumours were abound of the coming of Minecraft 1.5, we were quite frantic since we were just beginning work on a new, better update handling process and were afraid the update would hit before we were ready to handle it. Luckily, to our delight, Mojang experienced a feature creep and couldn't meet the original estimated time of release, resulting in the update being delayed until the week after. While some of you were disappointed with the delay, we were happy and thankful as it gave us the weekend to push to complete the transition to our new update process.

    Unfortunately, when the Minecraft update was finally released, we were still finalising the move over to our new update process and this caused some delay. Quite a few of you were unhappy about this and we understand your frustration but we, honestly, feel the delay was for the better. With this new update process, barring local issues we have with our development environments, there should be less confusion and hard to trace bugs with future Minecraft updates. While we could have released a Recommended Build shortly after we had the update done (since we had Bukkit compatible and working with Minecraft 1.5_02 already), I made the decision for us to work out some of the issues that we were sure people would experience due to changes in Minecraft: like the addition of strict limits on certain things like chat or sign text, etc.

    Anyway, let's cut to the chase:
    We're happy to finally make available a Recommended Build for Minecraft 1.5_02 that you can grab and put on your servers right now, using the link below.

    Download CraftBukkit for Minecraft 1.5_02

    If you're just getting started, please read and follow this guide:
    BukkitWiki - Setting up a server

    Common Problems/Questions:
    I downloaded build 733 but got some other build!
    You're probably reading the version string incorrectly.

    Here's an example version string:
    git-Bukkit-0.0.0-700-gf3ae4c3-b733jnks (MC: 1.5_02)

    This version string is for build 733, as you can tell by the "b733jnks" at the end.

    Whenever I use a plugin that changes blocks, I can't see the changes until I reconnect!
    We had an issue with blocks not updating properly but this has since been fixed from build #707. This bug affected plugins that changed blocks in game, like WorldEdit. Update to the Recommended Build b733 to fix this.

    Help! My console keeps getting spammed with this error whenever someone gets kicked or disconnects and it lags the server!
    This is a bug we've fixed from build #701 onwards.

    Update to the Recommended Build b733 to fix this.

    I can't build or destroy anything! Help!?
    The common cause of this issue is a client mod called Single Player Commands, please try uninstalling all your client mods and seeing if this fixes the issue. If this is the case, then it isn't a Bukkit issue and you should contact the author of the mods you use.

    Every time I connect to the server and load a sign, the client crashes. What's wrong?
    Minecraft 1.5 has added limits for sign text. Plugin developers commonly used longer sign text to store extra data or add colours to signs. This is no longer possible, so we now cut off any line in a sign longer than 15 characters (as of build #712).

    Update to the Recommended Build b733 to fix this.

    I get kicked when flying and am told that flying hasn't been enabled on this server. How do I enable flying?
    Minecraft 1.5 added anti-flying checks. You can enable flying by setting allow-flight=true in server.properties.

    Whenever I try to send a long message in chat, it gets cut off at roughly two lines.
    A limit on chat has been added with Minecraft 1.5.

    Update to the Recommended Build b733 to fix this.

    Help! When I use the CLI arguments to set ports (or any setting), the server always starts up on 25565 or ignores the setting![/COLOR][/U]
    There was a bug that prevented the server from reading settings passed through CLI arguments. This has since been fixed from build #706 onwards.

    Update to the Recommended Build b733 to fix this.

    When lightning strikes a painting, the server crashes!
    There was a bug that caused the server to throw an error or freeze when a painting was struck by lightning, this has since been fixed from build 734 onwards. While this isn't a Recommended Build, it contains only this change and shouldn't break anything, so feel free to upgrade to this build to fix this issue.

    People are using a duping exploit involving workbenches!
    We've fixed this duping issue from build b735 onwards.

    While this isn't a Recommended Build, it contains only this change and shouldn't break anything, so feel free to upgrade to this build to fix this issue.

    Whenever I do something in game, like place a block, I get disconnected with an End of Stream error!
    This can be caused by an outdated or broken texture pack. Please try testing with a completely unmodified Minecraft client and see if it works then. If it does, you'll need to find a new texture pack or mod, get the author to fix it or run Minecraft without them.

    I can't ban anyone!
    This issue is usually caused by an outdated plugin, like Essentials. You should be keeping your plugins up to date - especially when an update hits - as they could contain fixes that make all the difference in the operation of your server.

    As Essentials isn't properly communicating updates with the community at the moment (and their plugin appears to be the leading cause of this issue), many of you are still running a version that prevents banning from working. Please update to 2.2.x (or whatever the latest is) to fix this issue.

    If this hasn't fixed this issue, make sure you've updated all your other plugins too.

    I can't spawn any mobs!
    This issue is usually caused by an outdated plugin, like Essentials. You should be keeping your plugins up to date - especially when an update hits - as they could contain fixes that make all the difference in the operation of your server.

    As Essentials isn't properly communicating updates with the community at the moment (and their plugin appears to be the leading cause of this issue), many of you are still running a version that prevents spawning mobs from working. Please update to 2.2.x (or whatever the latest is) to fix this issue.

    If this hasn't fixed this issue, make sure you've updated all your other plugins too.

    Mobs aren't spawning!
    This issue is usually caused by an outdated plugin, like Essentials. You should be keeping your plugins up to date - especially when an update hits - as they could contain fixes that make all the difference in the operation of your server.

    As Essentials isn't properly communicating updates with the community at the moment (and their plugin appears to be the leading cause of this issue), many of you are still running a version that prevents mobs from naturally spawning. Please update to 2.2.x (or whatever the latest is) to fix this issue.

    If this hasn't fixed this issue, make sure you've updated all your other plugins too.

    The easiest fix for most problems is to update to the Recommended Build b733.

    Thanks for your patience, support and the many kind words you've all sent our way!
     
  2. Offline

    WraithTGuardian

    How comes that when I use bukkit everyone who joins it with my external IP is just falling down in the void? The world doesn´t generate. When I use my local IP it works. My server works fine if I use vanilla server. Anyone who have a fix?
     
  3. Offline

    Selryam

    Aww, I was hoping for 777 to be the recommended build. =P

    Excellent work! I am going to update from 714 to latest. Thank you.
     
  4. Offline

    Don Redhorse

    thanks for the update... keep the information up..
     
  5. Offline

    WolwX

    great work @EvilSeph and Bukkit team ! <3

    There is some new command included into this new release for the weather for exemple ? or we just have to use a plugin for that ?
     
  6. Offline

    PhantomGamers

    Plugin... Personally I use WeatherMan.
     
  7. Offline

    Klausar

    OMFG! I cant ban users. I tried to do them in banned-players.txt didnt work. I tried /ban, didnt work, i tried Ban with console, didnt work!?!?!
     
  8. Offline

    PhantomGamers

    /ban username
    /ban-ip 123.456.789
    Works fine for me... If you have Essentials, uninstall it...
     
  9. Offline

    pagan0ne


    Yes EvilSeph, i was trying to emphasize that if you wipe your world, don't come complaining to us that you didn't make backups, and thats fine if you didn't see any results on Google either (i did a cursory search and didn't turn up any obvious results thats why i included the steps in my post instead of linking to lmgtfy. If you browse some threads on this form, you will see them PACKED with people who don't even read the first post in the thread, the string at the end is for anyone who happens to catch my post not you specifically. the capitol red letters are to show how important backups are, and so if someone comes back and says that my directions killed their server, i can say not my fault - should have made backups... you didn't follow my directions. Good luck with your server, once you get things how you want, feel free to post the info, if i catch it i may join and check it out (be careful with that though as people DO grief!)
     
  10. Offline

    Xechorizo

    Flawless! The amount of ass you guys kick is unparalleled! I bet you are stoked about the unobfuscated API.

    Keep up the awesomeness, guys! I will donate when I can. You make Minecraft playable.
     
  11. Offline

    Fraserbell

    thanks well try it out for the first time tomorrow, hope it all goes well but probably will.
     
  12. Offline

    Renfroe

    b733 working great on the test server, no crashing plug-ins as well. Going to the main server in about an hour after some stress test. Thanks so much Bukkit team for pulling through yet again!!! :D

    Edit: Yep, all is well on the main server, no probs, please keep up the great work Bukkit!!!
     
  13. Offline

    Pr4w

    4am likes this.
  14. Offline

    4am

    Has anyone seen Notch's blog posts about the Modding API today? Seems like good news for Bukkit! Official, unobfuscated support to the source code though Mojang's SVN if you sign up as a modder, and for no cost! Bukkit updates could be even faster now with this + the new Bukkit udpate process @EvilSeph mentioned.

    Not sure if there is a seperate thread for this already (no time to check, still @ work) but it sounds like we've got some celebrating to do! Now, if we can just convince Notch that servers should have the ability to load code modules and assets (sound, art, etc) into connected clients then we could open the gates to some really, really insane stuff!
     
  15. Offline

    NixonInnes

    Great job on the update guys!

    It's working nearly flawlessly; I recieved 1 error that caused a crash:

    Code:
    J  net.minecraft.server.Pathfinder.a(Lnet/minecraft/server/Entity;IIILnet/minecraft/server/PathPoint;I)Lnet/minecraft/server/PathPoint;
    
    Here's the entire log:
    http://pastebin.com/qdy9CGHq


    Again, thanks again to the Bukkit dev team for their work.
     
  16. Offline

    janniscui3

    Also sorry guys if i wrong but if i start bukkit its work fine . But after i sayed stop in the bukkit programm it closes. Thats right. But the server is just on . How i make it off? . Even if i delet bukkit it holds. Any help?
     
  17. Offline

    mathew k

    After all this my minecraft didnt update to 1.5_02 for some reason!! Help im screwed!!!
     
  18. Offline

    PhantomGamers

    ... fml.

    1.5_02 IS THE SERVER VERSION.
    1.5_01 IS THE CLIENT VERSION.
    THERE IS NO 1.5_02 FOR CLIENTS *YET*.
    YOU AREN'T SCREWED BECAUSE YOUR MINECRAFT[client] DIDN'T UPDATE TO 1.5_02.
    HOWEVER, YOU ARE SCREWED BECAUSE YOU CANNOT READ.

    Sorry for the caps, needed to emphasize it.
    This has to be like the thousandth time someone has mentioned this...
     
  19. Offline

    mathew k

    yeah your right it works fine, rofl
     
  20. Offline

    PhantomGamers

    Maybe Notch should have just kept it labeled as 1.5_01 to prevent confusion...
    Then again that would probably stir up other confusion with people complaining about their server not being updated...
    There's no winning here. :-P
     
  21. Offline

    Soulblitz

    So as far as mods go, do I have to download and install each mod again for the new Bukkit version, or will they continue to work or update themselves? This is the first server update I've done so I'm not sure what's going to happen.
     
  22. Offline

    PhantomGamers

    You need to download modification updates yourself... Bukkit does NOT automatically update.
     
  23. Offline

    toastynator

    I have a really anoying bug....I (and everyone else) can't break or place blocks.....this is not due to an pluggin like permissions or essentials..etc(I reinstalled bukkit completely without any plugins)

    If someone knows how to solve this....PLEASE HELP
     
  24. Offline

    Soulblitz

    Man, that seems like a bit of a hassle. Not complaining about Bukkit, but having to redownload the newest version for every mod, on every update, sounds like quite a pain.
     
  25. Offline

    bewareofthecow

    It appears that only 1/9 of my plugins was broken with this update. Kudos on releasing such a stable and painless update!
     
  26. Offline

    ChadTheDJ

    "There was much rejoicing!"
     
  27. Offline

    firewalled

    GJ guys!
     
  28. Offline

    DarkStorm

    Local IP uses local cables and doesn't actually leave your router, so of course you'll get really fast internet speeds using a local IP. I would say it is your internet connection, but I don't know why vanilla server fixes this...
     
  29. Offline

    iman66

    I'm planning on installing this tonight! The wait was worth it to have a recommended version. :) I've heard some good things involving the weather for v1.5 so I can't wait to install it! :) Thanks again Bukkit!
     
  30. Offline

    pagan0ne

    check server.properties for spawn-protection, ensure its set to 0 (zero)
     
  31. Offline

    CAPSLOCK44

    Yeah i have a new generation Macbook Pro, so you would expect the 4GB of RAM to be able to handle the simple game, but it has just been outmatched by a 7-slot HGS server running Bukkit -_-
     
Thread Status:
Not open for further replies.

Share This Page